Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSSender

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.transport.jms.JMSSender

All Implemented Interfaces:
  Handler, Serializable

public class JMSSender
extends BasicHandler

This is meant to be used on a SOAP Client to call a SOAP server.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`JMSSender()`

Method Summary
`void` | `invoke(MessageContext msgContext)` invoke() creates an endpoint, sends the request SOAP message, and then either reads the response SOAP message or simply returns.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSSender

    public JMSSender()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  invoke() creates an endpoint, sends the request SOAP message, and then either reads the response SOAP message or simply returns.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
  Parameters:
    `msgContext` -
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.